Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::ConstantRateCounter Class Reference

Inheritance diagram for osgParticle::ConstantRateCounter:

[legend]
List of all members.

## Public Member Functions
| ConstantRateCounter ()
| ConstantRateCounter (const ConstantRateCounter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, ConstantRateCounter)
void | setMinimumNumberOfParticlesToCreate (int minNumToCreate)
int | getMinimumNumberOfParticlesToCreate () const
void | setNumberOfParticlesPerSecondToCreate (double numPerSecond)
double | getNumberOfParticlesPerSecondToCreate () const
virtual int | numParticlesToCreate (double dt) const
| Return the number of particles to be created in this frame.
## Protected Member Functions
virtual | ~ConstantRateCounter ()
## Protected Attributes
int | _minimumNumberOfParticlesToCreate
double | _numberOfParticlesPerSecondToCreate
double | _carryOver

## Constructor & Destructor Documentation

osgParticle::ConstantRateCounter::ConstantRateCounter | ( |  | ) | `[inline]`

osgParticle::ConstantRateCounter::ConstantRateCounter | ( | const ConstantRateCounter & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::ConstantRateCounter::~ConstantRateCounter | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

int osgParticle::ConstantRateCounter::getMinimumNumberOfParticlesToCreate | ( |  | ) | const`[inline]`

double osgParticle::ConstantRateCounter::getNumberOfParticlesPerSecondToCreate | ( |  | ) | const`[inline]`

osgParticle::ConstantRateCounter::META_Object | ( | osgParticle | ,
|  | ConstantRateCounter |
| ) |

virtual int osgParticle::ConstantRateCounter::numParticlesToCreate | ( | double | dt | ) | const`[inline, virtual]`

| Return the number of particles to be created in this frame. Implements osgParticle::Counter.

void osgParticle::ConstantRateCounter::setMinimumNumberOfParticlesToCreate | ( | int | minNumToCreate | ) | `[inline]`

void osgParticle::ConstantRateCounter::setNumberOfParticlesPerSecondToCreate | ( | double | numPerSecond | ) | `[inline]`

## Member Data Documentation

double osgParticle::ConstantRateCounter::_carryOver`[mutable, protected]`

int osgParticle::ConstantRateCounter::_minimumNumberOfParticlesToCreate`[protected]`

double osgParticle::ConstantRateCounter::_numberOfParticlesPerSecondToCreate`[protected]`

The documentation for this class was generated from the following file:

- ConstantRateCounter